Package org.jboss.resteasy.resteasy_jaxrs.i18n

## Class LogMessages_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.jboss.resteasy.resteasy_jaxrs.i18n.LogMessages_$logger

- All Implemented Interfaces:
    `Serializable`, `org.jboss.logging.BasicLogger`, `LogMessages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2021-10-01T14:26:52-0700")
      public class LogMessages_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements LogMessages, org.jboss.logging.BasicLogger, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

    - ### Fields inherited from interface org.jboss.resteasy.resteasy_jaxrs.i18n.LogMessages

      `BASE, LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogMessages_$logger​(org.jboss.logging.Logger log)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `acceptExtensionsNotSupported()` |
    `protected String` | `acceptExtensionsNotSupported$str()` |
    `void` | `addingClassResource​(String className, Class<?> clazz)` |
    `protected String` | `addingClassResource$str()` |
    `void` | `addingProviderClass​(String className, Class<?> clazz)` |
    `protected String` | `addingProviderClass$str()` |
    `void` | `addingProviderSingleton​(String className, Class<?> application)` |
    `protected String` | `addingProviderSingleton$str()` |
    `void` | `addingSingletonProvider​(String className, Class<?> application)` |
    `protected String` | `addingSingletonProvider$str()` |
    `void` | `addingSingletonResource​(String className, Class<?> application)` |
    `protected String` | `addingSingletonResource$str()` |
    `void` | `ambiguousConstructorsFound​(Class<?> clazz)` |
    `protected String` | `ambiguousConstructorsFound$str()` |
    `void` | `attemptingToRegisterEmptyContracts​(String className)` |
    `protected String` | `attemptingToRegisterEmptyContracts$str()` |
    `void` | `attemptingToRegisterUnassignableContract​(String className)` |
    `protected String` | `attemptingToRegisterUnassignableContract$str()` |
    `void` | `cannotRegisterheaderDelegate​(Class<?> clazz)` |
    `protected String` | `cannotRegisterheaderDelegate$str()` |
    `void` | `charsetUnavailable​(String charset)` |
    `protected String` | `charsetUnavailable$str()` |
    `void` | `classNotFoundException​(String line, URL url, Throwable cause)` |
    `protected String` | `classNotFoundException$str()` |
    `void` | `clientReceiveProcessingFailure​(Throwable cause)` |
    `protected String` | `clientReceiveProcessingFailure$str()` |
    `void` | `couldNotBindToDirectory​(String directory)` |
    `protected String` | `couldNotBindToDirectory$str()` |
    `void` | `couldNotDeleteFile​(String path, Throwable cause)` |
    `protected String` | `couldNotDeleteFile$str()` |
    `void` | `creatingContextObject​(String key, String value)` |
    `protected String` | `creatingContextObject$str()` |
    `void` | `deployingApplication​(String className, Class<?> clazz)` |
    `protected String` | `deployingApplication$str()` |
    `void` | `errorPatchTarget​(String requestURI)` |
    `protected String` | `errorPatchTarget$str()` |
    `void` | `errorResumingFailedAsynchOperation​(Throwable cause)` |
    `protected String` | `errorResumingFailedAsynchOperation$str()` |
    `void` | `failedExecutingDebug​(String method, String path, Throwable cause)` |
    `protected String` | `failedExecutingDebug$str()` |
    `void` | `failedExecutingError​(String method, String path, Throwable cause)` |
    `protected String` | `failedExecutingError$str()` |
    `void` | `failedToExecute​(Throwable cause)` |
    `protected String` | `failedToExecute$str()` |
    `void` | `failedToExecuteDebug​(Throwable cause)` |
    `protected String` | `failedToExecuteDebug$str()` |
    `void` | `failedToInvokeAsynchronously​(Throwable ignored)` |
    `protected String` | `failedToInvokeAsynchronously$str()` |
    `void` | `failedToLookupManagedExecutorService​(Throwable cause, String name)` |
    `protected String` | `failedToLookupManagedExecutorService$str()` |
    `void` | `failedToParseRequest​(Throwable cause)` |
    `protected String` | `failedToParseRequest$str()` |
    `void` | `failedToSetRequestAsync()` |
    `protected String` | `failedToSetRequestAsync$str()` |
    `void` | `failedToWriteSseEvent​(String event, Throwable cause)` |
    `protected String` | `failedToWriteSseEvent$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `void` | `ignoringUnsupportedLocale​(String locale)` |
    `protected String` | `ignoringUnsupportedLocale$str()` |
    `void` | `inOneWay()` |
    `protected String` | `inOneWay$str()` |
    `void` | `invalidFormat​(String parameterName, String defaultValue)` |
    `protected String` | `invalidFormat$str()` |
    `void` | `invalidRegex​(String className, String regex)` |
    `protected String` | `invalidRegex$str()` |
    `void` | `JAXRSAnnotationsFoundAtNonPublicMethod​(String className, String method)` |
    `protected String` | `JAXRSAnnotationsFoundAtNonPublicMethod$str()` |
    `void` | `mediaTypeLacksCharset​(javax.ws.rs.core.MediaType mediaType, String method)` |
    `protected String` | `mediaTypeLacksCharset$str()` |
    `void` | `multipleMethodsMatch​(String request, String[] methods)` |
    `protected String` | `multipleMethodsMatch$str()` |
    `void` | `noClassDefFoundErrorError​(String line, URL url, Throwable cause)` |
    `protected String` | `noClassDefFoundErrorError$str()` |
    `void` | `noLongerSupported​(String param)` |
    `protected String` | `noLongerSupported$str()` |
    `void` | `noValueOfMethodAvailable​(String className)` |
    `protected String` | `noValueOfMethodAvailable$str()` |
    `void` | `patchTargetMethodNotFound​(String requestURI)` |
    `protected String` | `patchTargetMethodNotFound$str()` |
    `void` | `pathInfo​(String path)` |
    `protected String` | `pathInfo$str()` |
    `void` | `providerCantBeDynamicallyBoundToMethod​(Class<?> componentClass, Class<?> providerType)` |
    `protected String` | `providerCantBeDynamicallyBoundToMethod$str()` |
    `void` | `providerClassAlreadyRegistered​(String className)` |
    `protected String` | `providerClassAlreadyRegistered$str()` |
    `void` | `providerInstanceAlreadyRegistered​(String className)` |
    `protected String` | `providerInstanceAlreadyRegistered$str()` |
    `void` | `readerNotFound​(javax.ws.rs.core.MediaType mediaType, String[] availableTypes)` |
    `protected String` | `readerNotFound$str()` |
    `void` | `runningJob()` |
    `protected String` | `runningJob$str()` |
    `void` | `singletonClassAlreadyDeployed​(String type, String className)` |
    `protected String` | `singletonClassAlreadyDeployed$str()` |
    `void` | `skipIllegalField​(String filed, String value)` |
    `protected String` | `skipIllegalField$str()` |
    `void` | `skipUnkownFiled​(String filed)` |
    `protected String` | `skipUnkownFiled$str()` |
    `void` | `temporaryFileCreated​(String fileName)` |
    `protected String` | `temporaryFileCreated$str()` |
    `void` | `unableToCloseEntityStream​(Throwable cause)` |
    `protected String` | `unableToCloseEntityStream$str()` |
    `void` | `unableToDecodeGZIPBase64​(Throwable cause)` |
    `protected String` | `unableToDecodeGZIPBase64$str()` |
    `void` | `unableToExtractParameter​(Throwable cause, String paramSignature, String strVal, AccessibleObject target)` |
    `protected String` | `unableToExtractParameter$str()` |
    `void` | `unableToResetThreadContext​(Throwable cause, String threadName)` |
    `protected String` | `unableToResetThreadContext$str()` |
    `void` | `unableToRetrieveConfigDTDs()` |
    `protected String` | `unableToRetrieveConfigDTDs$str()` |
    `void` | `unableToRetrieveConfigExpand()` |
    `protected String` | `unableToRetrieveConfigExpand$str()` |
    `void` | `unableToRetrieveConfigSecure()` |
    `protected String` | `unableToRetrieveConfigSecure$str()` |
    `void` | `unhandledAsynchronousException​(Throwable ignored)` |
    `protected String` | `unhandledAsynchronousException$str()` |
    `void` | `unknownException​(String method, String path, Throwable cause)` |
    `protected String` | `unknownException$str()` |
    `void` | `uriAmbiguity​(String path, String methodList)` |
    `protected String` | `uriAmbiguity$str()` |
    `void` | `useOfApplicationClass​(String className)` |
    `protected String` | `useOfApplicationClass$str()` |
    `void` | `warningPreMatchingSupport​(String clazzname)` |
    `protected String` | `warningPreMatchingSupport$str()` |

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### LogMessages_$logger

          public LogMessages_$logger​(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### errorResumingFailedAsynchOperation

          public final void errorResumingFailedAsynchOperation​(Throwable cause)

      Specified by:
        `errorResumingFailedAsynchOperation` in interface `LogMessages`

    - #### errorResumingFailedAsynchOperation$str

          protected String errorResumingFailedAsynchOperation$str()

    - #### failedExecutingError

          public final void failedExecutingError​(String method,
                                                 String path,
                                                 Throwable cause)

      Specified by:
        `failedExecutingError` in interface `LogMessages`

    - #### failedExecutingError$str

          protected String failedExecutingError$str()

    - #### failedToExecute

          public final void failedToExecute​(Throwable cause)

      Specified by:
        `failedToExecute` in interface `LogMessages`

    - #### failedToExecute$str

          protected String failedToExecute$str()

    - #### failedToInvokeAsynchronously

          public final void failedToInvokeAsynchronously​(Throwable ignored)

      Specified by:
        `failedToInvokeAsynchronously` in interface `LogMessages`

    - #### failedToInvokeAsynchronously$str

          protected String failedToInvokeAsynchronously$str()

    - #### unhandledAsynchronousException

          public final void unhandledAsynchronousException​(Throwable ignored)

      Specified by:
        `unhandledAsynchronousException` in interface `LogMessages`

    - #### unhandledAsynchronousException$str

          protected String unhandledAsynchronousException$str()

    - #### unknownException

          public final void unknownException​(String method,
                                             String path,
                                             Throwable cause)

      Specified by:
        `unknownException` in interface `LogMessages`

    - #### unknownException$str

          protected String unknownException$str()

    - #### failedToWriteSseEvent

          public final void failedToWriteSseEvent​(String event,
                                                  Throwable cause)

      Specified by:
        `failedToWriteSseEvent` in interface `LogMessages`

    - #### failedToWriteSseEvent$str

          protected String failedToWriteSseEvent$str()

    - #### cannotRegisterheaderDelegate

          public final void cannotRegisterheaderDelegate​(Class<?> clazz)

      Specified by:
        `cannotRegisterheaderDelegate` in interface `LogMessages`

    - #### cannotRegisterheaderDelegate$str

          protected String cannotRegisterheaderDelegate$str()

    - #### patchTargetMethodNotFound

          public final void patchTargetMethodNotFound​(String requestURI)

      Specified by:
        `patchTargetMethodNotFound` in interface `LogMessages`

    - #### patchTargetMethodNotFound$str

          protected String patchTargetMethodNotFound$str()

    - #### errorPatchTarget

          public final void errorPatchTarget​(String requestURI)

      Specified by:
        `errorPatchTarget` in interface `LogMessages`

    - #### errorPatchTarget$str

          protected String errorPatchTarget$str()

    - #### acceptExtensionsNotSupported

          public final void acceptExtensionsNotSupported()

      Specified by:
        `acceptExtensionsNotSupported` in interface `LogMessages`

    - #### acceptExtensionsNotSupported$str

          protected String acceptExtensionsNotSupported$str()

    - #### ambiguousConstructorsFound

          public final void ambiguousConstructorsFound​(Class<?> clazz)

      Specified by:
        `ambiguousConstructorsFound` in interface `LogMessages`

    - #### ambiguousConstructorsFound$str

          protected String ambiguousConstructorsFound$str()

    - #### attemptingToRegisterEmptyContracts

          public final void attemptingToRegisterEmptyContracts​(String className)

      Specified by:
        `attemptingToRegisterEmptyContracts` in interface `LogMessages`

    - #### attemptingToRegisterEmptyContracts$str

          protected String attemptingToRegisterEmptyContracts$str()

    - #### attemptingToRegisterUnassignableContract

          public final void attemptingToRegisterUnassignableContract​(String className)

      Specified by:
        `attemptingToRegisterUnassignableContract` in interface `LogMessages`

    - #### attemptingToRegisterUnassignableContract$str

          protected String attemptingToRegisterUnassignableContract$str()

    - #### charsetUnavailable

          public final void charsetUnavailable​(String charset)

      Specified by:
        `charsetUnavailable` in interface `LogMessages`

    - #### charsetUnavailable$str

          protected String charsetUnavailable$str()

    - #### classNotFoundException

          public final void classNotFoundException​(String line,
                                                   URL url,
                                                   Throwable cause)

      Specified by:
        `classNotFoundException` in interface `LogMessages`

    - #### classNotFoundException$str

          protected String classNotFoundException$str()

    - #### couldNotBindToDirectory

          public final void couldNotBindToDirectory​(String directory)

      Specified by:
        `couldNotBindToDirectory` in interface `LogMessages`

    - #### couldNotBindToDirectory$str

          protected String couldNotBindToDirectory$str()

    - #### couldNotDeleteFile

          public final void couldNotDeleteFile​(String path,
                                               Throwable cause)

      Specified by:
        `couldNotDeleteFile` in interface `LogMessages`

    - #### couldNotDeleteFile$str

          protected String couldNotDeleteFile$str()

    - #### failedToParseRequest

          public final void failedToParseRequest​(Throwable cause)

      Specified by:
        `failedToParseRequest` in interface `LogMessages`

    - #### failedToParseRequest$str

          protected String failedToParseRequest$str()

    - #### ignoringUnsupportedLocale

          public final void ignoringUnsupportedLocale​(String locale)

      Specified by:
        `ignoringUnsupportedLocale` in interface `LogMessages`

    - #### ignoringUnsupportedLocale$str

          protected String ignoringUnsupportedLocale$str()

    - #### invalidFormat

          public final void invalidFormat​(String parameterName,
                                          String defaultValue)

      Specified by:
        `invalidFormat` in interface `LogMessages`

    - #### invalidFormat$str

          protected String invalidFormat$str()

    - #### invalidRegex

          public final void invalidRegex​(String className,
                                         String regex)

      Specified by:
        `invalidRegex` in interface `LogMessages`

    - #### invalidRegex$str

          protected String invalidRegex$str()

    - #### JAXRSAnnotationsFoundAtNonPublicMethod

          public final void JAXRSAnnotationsFoundAtNonPublicMethod​(String className,
                                                                   String method)

      Specified by:
        `JAXRSAnnotationsFoundAtNonPublicMethod` in interface `LogMessages`

    - #### JAXRSAnnotationsFoundAtNonPublicMethod$str

          protected String JAXRSAnnotationsFoundAtNonPublicMethod$str()

    - #### multipleMethodsMatch

          public final void multipleMethodsMatch​(String request,
                                                 String[] methods)

      Specified by:
        `multipleMethodsMatch` in interface `LogMessages`

    - #### multipleMethodsMatch$str

          protected String multipleMethodsMatch$str()

    - #### noClassDefFoundErrorError

          public final void noClassDefFoundErrorError​(String line,
                                                      URL url,
                                                      Throwable cause)

      Specified by:
        `noClassDefFoundErrorError` in interface `LogMessages`

    - #### noClassDefFoundErrorError$str

          protected String noClassDefFoundErrorError$str()

    - #### noLongerSupported

          public final void noLongerSupported​(String param)

      Specified by:
        `noLongerSupported` in interface `LogMessages`

    - #### noLongerSupported$str

          protected String noLongerSupported$str()

    - #### providerClassAlreadyRegistered

          public final void providerClassAlreadyRegistered​(String className)

      Specified by:
        `providerClassAlreadyRegistered` in interface `LogMessages`

    - #### providerClassAlreadyRegistered$str

          protected String providerClassAlreadyRegistered$str()

    - #### providerInstanceAlreadyRegistered

          public final void providerInstanceAlreadyRegistered​(String className)

      Specified by:
        `providerInstanceAlreadyRegistered` in interface `LogMessages`

    - #### providerInstanceAlreadyRegistered$str

          protected String providerInstanceAlreadyRegistered$str()

    - #### noValueOfMethodAvailable

          public final void noValueOfMethodAvailable​(String className)

      Specified by:
        `noValueOfMethodAvailable` in interface `LogMessages`

    - #### noValueOfMethodAvailable$str

          protected String noValueOfMethodAvailable$str()

    - #### readerNotFound

          public final void readerNotFound​(javax.ws.rs.core.MediaType mediaType,
                                           String[] availableTypes)

      Specified by:
        `readerNotFound` in interface `LogMessages`

    - #### readerNotFound$str

          protected String readerNotFound$str()

    - #### singletonClassAlreadyDeployed

          public final void singletonClassAlreadyDeployed​(String type,
                                                          String className)

      Specified by:
        `singletonClassAlreadyDeployed` in interface `LogMessages`

    - #### singletonClassAlreadyDeployed$str

          protected String singletonClassAlreadyDeployed$str()

    - #### useOfApplicationClass

          public final void useOfApplicationClass​(String className)

      Specified by:
        `useOfApplicationClass` in interface `LogMessages`

    - #### useOfApplicationClass$str

          protected String useOfApplicationClass$str()

    - #### skipIllegalField

          public final void skipIllegalField​(String filed,
                                             String value)

      Specified by:
        `skipIllegalField` in interface `LogMessages`

    - #### skipIllegalField$str

          protected String skipIllegalField$str()

    - #### skipUnkownFiled

          public final void skipUnkownFiled​(String filed)

      Specified by:
        `skipUnkownFiled` in interface `LogMessages`

    - #### skipUnkownFiled$str

          protected String skipUnkownFiled$str()

    - #### failedToSetRequestAsync

          public final void failedToSetRequestAsync()

      Specified by:
        `failedToSetRequestAsync` in interface `LogMessages`

    - #### failedToSetRequestAsync$str

          protected String failedToSetRequestAsync$str()

    - #### warningPreMatchingSupport

          public final void warningPreMatchingSupport​(String clazzname)

      Specified by:
        `warningPreMatchingSupport` in interface `LogMessages`

    - #### warningPreMatchingSupport$str

          protected String warningPreMatchingSupport$str()

    - #### uriAmbiguity

          public final void uriAmbiguity​(String path,
                                         String methodList)

      Specified by:
        `uriAmbiguity` in interface `LogMessages`

    - #### uriAmbiguity$str

          protected String uriAmbiguity$str()

    - #### providerCantBeDynamicallyBoundToMethod

          public final void providerCantBeDynamicallyBoundToMethod​(Class<?> componentClass,
                                                                   Class<?> providerType)

      Specified by:
        `providerCantBeDynamicallyBoundToMethod` in interface `LogMessages`

    - #### providerCantBeDynamicallyBoundToMethod$str

          protected String providerCantBeDynamicallyBoundToMethod$str()

    - #### addingClassResource

          public final void addingClassResource​(String className,
                                                Class<?> clazz)

      Specified by:
        `addingClassResource` in interface `LogMessages`

    - #### addingClassResource$str

          protected String addingClassResource$str()

    - #### addingProviderClass

          public final void addingProviderClass​(String className,
                                                Class<?> clazz)

      Specified by:
        `addingProviderClass` in interface `LogMessages`

    - #### addingProviderClass$str

          protected String addingProviderClass$str()

    - #### addingProviderSingleton

          public final void addingProviderSingleton​(String className,
                                                    Class<?> application)

      Specified by:
        `addingProviderSingleton` in interface `LogMessages`

    - #### addingProviderSingleton$str

          protected String addingProviderSingleton$str()

    - #### addingSingletonProvider

          public final void addingSingletonProvider​(String className,
                                                    Class<?> application)

      Specified by:
        `addingSingletonProvider` in interface `LogMessages`

    - #### addingSingletonProvider$str

          protected String addingSingletonProvider$str()

    - #### addingSingletonResource

          public final void addingSingletonResource​(String className,
                                                    Class<?> application)

      Specified by:
        `addingSingletonResource` in interface `LogMessages`

    - #### addingSingletonResource$str

          protected String addingSingletonResource$str()

    - #### deployingApplication

          public final void deployingApplication​(String className,
                                                 Class<?> clazz)

      Specified by:
        `deployingApplication` in interface `LogMessages`

    - #### deployingApplication$str

          protected String deployingApplication$str()

    - #### mediaTypeLacksCharset

          public final void mediaTypeLacksCharset​(javax.ws.rs.core.MediaType mediaType,
                                                  String method)

      Specified by:
        `mediaTypeLacksCharset` in interface `LogMessages`

    - #### mediaTypeLacksCharset$str

          protected String mediaTypeLacksCharset$str()

    - #### unableToCloseEntityStream

          public final void unableToCloseEntityStream​(Throwable cause)

      Specified by:
        `unableToCloseEntityStream` in interface `LogMessages`

    - #### unableToCloseEntityStream$str

          protected String unableToCloseEntityStream$str()

    - #### unableToDecodeGZIPBase64

          public final void unableToDecodeGZIPBase64​(Throwable cause)

      Specified by:
        `unableToDecodeGZIPBase64` in interface `LogMessages`

    - #### unableToDecodeGZIPBase64$str

          protected String unableToDecodeGZIPBase64$str()

    - #### creatingContextObject

          public final void creatingContextObject​(String key,
                                                  String value)

      Specified by:
        `creatingContextObject` in interface `LogMessages`

    - #### creatingContextObject$str

          protected String creatingContextObject$str()

    - #### failedExecutingDebug

          public final void failedExecutingDebug​(String method,
                                                 String path,
                                                 Throwable cause)

      Specified by:
        `failedExecutingDebug` in interface `LogMessages`

    - #### failedExecutingDebug$str

          protected String failedExecutingDebug$str()

    - #### failedToExecuteDebug

          public final void failedToExecuteDebug​(Throwable cause)

      Specified by:
        `failedToExecuteDebug` in interface `LogMessages`

    - #### failedToExecuteDebug$str

          protected String failedToExecuteDebug$str()

    - #### inOneWay

          public final void inOneWay()

      Specified by:
        `inOneWay` in interface `LogMessages`

    - #### inOneWay$str

          protected String inOneWay$str()

    - #### pathInfo

          public final void pathInfo​(String path)

      Specified by:
        `pathInfo` in interface `LogMessages`

    - #### pathInfo$str

          protected String pathInfo$str()

    - #### runningJob

          public final void runningJob()

      Specified by:
        `runningJob` in interface `LogMessages`

    - #### runningJob$str

          protected String runningJob$str()

    - #### temporaryFileCreated

          public final void temporaryFileCreated​(String fileName)

      Specified by:
        `temporaryFileCreated` in interface `LogMessages`

    - #### temporaryFileCreated$str

          protected String temporaryFileCreated$str()

    - #### unableToRetrieveConfigDTDs

          public final void unableToRetrieveConfigDTDs()

      Specified by:
        `unableToRetrieveConfigDTDs` in interface `LogMessages`

    - #### unableToRetrieveConfigDTDs$str

          protected String unableToRetrieveConfigDTDs$str()

    - #### unableToRetrieveConfigExpand

          public final void unableToRetrieveConfigExpand()

      Specified by:
        `unableToRetrieveConfigExpand` in interface `LogMessages`

    - #### unableToRetrieveConfigExpand$str

          protected String unableToRetrieveConfigExpand$str()

    - #### unableToRetrieveConfigSecure

          public final void unableToRetrieveConfigSecure()

      Specified by:
        `unableToRetrieveConfigSecure` in interface `LogMessages`

    - #### unableToRetrieveConfigSecure$str

          protected String unableToRetrieveConfigSecure$str()

    - #### clientReceiveProcessingFailure

          public final void clientReceiveProcessingFailure​(Throwable cause)

      Specified by:
        `clientReceiveProcessingFailure` in interface `LogMessages`

    - #### clientReceiveProcessingFailure$str

          protected String clientReceiveProcessingFailure$str()

    - #### unableToExtractParameter

          public final void unableToExtractParameter​(Throwable cause,
                                                     String paramSignature,
                                                     String strVal,
                                                     AccessibleObject target)

      Specified by:
        `unableToExtractParameter` in interface `LogMessages`

    - #### unableToExtractParameter$str

          protected String unableToExtractParameter$str()

    - #### unableToResetThreadContext

          public final void unableToResetThreadContext​(Throwable cause,
                                                       String threadName)

      Specified by:
        `unableToResetThreadContext` in interface `LogMessages`

    - #### unableToResetThreadContext$str

          protected String unableToResetThreadContext$str()

    - #### failedToLookupManagedExecutorService

          public final void failedToLookupManagedExecutorService​(Throwable cause,
                                                                 String name)

      Specified by:
        `failedToLookupManagedExecutorService` in interface `LogMessages`

    - #### failedToLookupManagedExecutorService$str

          protected String failedToLookupManagedExecutorService$str()